/*
 Navicat Premium Data Transfer

 Source Server         : jiedao-uat
 Source Server Type    : MySQL
 Source Server Version : 80031 (8.0.31)
 Source Host           : 159.75.224.138:2297
 Source Schema         : jiedao

 Target Server Type    : MySQL
 Target Server Version : 80031 (8.0.31)
 File Encoding         : 65001

 Date: 18/10/2024 09:26:54
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for member_user_score_detail
-- ----------------------------
DROP TABLE IF EXISTS `member_user_score_detail`;
CREATE TABLE `member_user_score_detail`  (
  `id` bigint NOT NULL COMMENT '主键',
  `member_id` bigint NOT NULL COMMENT '会员id',
  `score_count` int NOT NULL DEFAULT 0 COMMENT '积分数量',
  `status` int NOT NULL COMMENT '积分状态 ',
  `remain_count` int NOT NULL COMMENT '剩余积分',
  `expire_time` datetime NULL DEFAULT NULL COMMENT '积分过期时间',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '更新时间',
  `creator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `deleted` tinyint(1) NULL DEFAULT 0 COMMENT '是否删除',
  `ext_param` json NULL COMMENT '扩展字段',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员积分详情表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
