/*
 Navicat Premium Data Transfer

 Source Server         : jiedao-uat
 Source Server Type    : MySQL
 Source Server Version : 80031 (8.0.31)
 Source Host           : 159.75.224.138:2297
 Source Schema         : jiedao

 Target Server Type    : MySQL
 Target Server Version : 80031 (8.0.31)
 File Encoding         : 65001

 Date: 18/10/2024 09:27:20
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for member_user_score_log
-- ----------------------------
DROP TABLE IF EXISTS `member_user_score_log`;
CREATE TABLE `member_user_score_log`  (
  `id` bigint NOT NULL COMMENT '主键',
  `member_id` bigint NOT NULL COMMENT '会员id',
  `score_count` int UNSIGNED NOT NULL COMMENT '积分数量',
  `operate_type` int NOT NULL COMMENT '操作类型 1增加2减少',
  `source_type` int NOT NULL COMMENT '积分来源',
  `rule_id` int NULL DEFAULT NULL COMMENT '积分规则id',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `ext_param` json NULL COMMENT '扩展参数',
  `creator` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `updater` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `deleted` tinyint(1) NULL DEFAULT 0 COMMENT '是否删除',
  `update_time` datetime NULL DEFAULT NULL,
  `unique_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '唯一键幂等',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `unique_id`(`unique_id` ASC) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '会员积分日志表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
