SET FOREIGN_KEY_CHECKS=0;

ALTER TABLE `member_user` ADD COLUMN `code` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '会员编号' AFTER `id`;

ALTER TABLE `member_user` ADD COLUMN `country` int NULL DEFAULT NULL COMMENT '国家' AFTER `control_password`;

ALTER TABLE `member_user` ADD COLUMN `city` int NULL DEFAULT NULL COMMENT '城市' AFTER `country`;

ALTER TABLE `member_user` ADD COLUMN `referral_code` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '推荐码' AFTER `open_id`;

ALTER TABLE `member_user` ADD COLUMN `register_platform` int NULL DEFAULT 0 COMMENT '注册平台' AFTER `referral_code`;

ALTER TABLE `member_user` ADD UNIQUE INDEX `code`(`code` ASC) USING BTREE;

UPDATE `member_user` SET `country` = 130,`city` = 360 WHERE `area_code` = '86';

SET FOREIGN_KEY_CHECKS=1;